program dmxlink_dmx4all;

(* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the DMXLink application.
 *
 * The Initial Developer of the Original Code is
 * Tomsoft.
 * Portions created by Tomsoft are Copyright (C) 2009
 * Tomsoft. All Rights Reserved.
 *
 * Contributor(s):
 *   Tommy Sools <tom@sools.com>
 *
 * ***** END LICENSE BLOCK ***** *)

 uses
  Forms,
  unitdmxlink in 'unitdmxlink.pas' {fDMXLink},
  unitconfiguration in 'unitconfiguration.pas' {formConfiguration},
  unitportdetect in 'unitportdetect.pas',
  unitdmx4all in 'unitdmx4all.pas',
  unitcomport in 'unitcomport.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'DMXLink';
  Application.ShowMainForm := False;
  Application.CreateForm(TfDMXLink, fDMXLink);
  Application.CreateForm(TformConfiguration, formConfiguration);
  Application.Run;
end.
